// Picture.java

import java.awt.*;
import java.awt.event.*;

public class Picture extends Component{

       Image bild = null;
       Dimension prefSize = new Dimension(0,0);
       int x;
       int y;
       ImageComp parent;

   public Picture( Image image, ImageComp parent){

       this.parent = parent;
       MediaTracker tracker = new MediaTracker(this);
       bild = image;
       tracker.addImage(bild,0);
       try
       {
       tracker.waitForID(0);
       }
       catch(InterruptedException exc){}
       prefSize.width = bild.getWidth(this);
       prefSize.height= bild.getHeight(this);
       x = prefSize.width/2 - 5;
       y = prefSize.height/2 - 5;
       addMouseListener(new MausBearbeiter());
       addMouseMotionListener(new MausBearbeiter());
   }

 public Dimension getPreferredSize(){
        return prefSize;
 }

 public void paint(Graphics g){
        g.drawImage(bild,0,0,this);
        g.setColor(Color.yellow);
        g.drawRect(x,y,10,10);
 }

 public boolean isFocusTraversable(){
        return true;
 }

 class MausBearbeiter extends MouseAdapter implements MouseMotionListener{
            public void mousePressed(MouseEvent e){
                   x = e.getX();
                   y = e.getY();
                   repaint();
                   parent.Klicks();
            }
            public void mouseExited(MouseEvent e){
            }
            public void mouseClicked(MouseEvent e){}
            public void mouseReleased(MouseEvent e){}
            public void mouseEntered(MouseEvent e){}
            public void mouseDragged(MouseEvent e){
                   x = e.getX();
                   y = e.getY();
                   repaint();
                   parent.Klicks();
            }
            public void mouseMoved(MouseEvent e){}
            
 }

}

