//  ImageComp.java

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;

public class ImageComp extends Applet{

        Choice verfahren, bilder;
        Image bild = null;
        Picture original;
        Picture2 compBild, section1, section2;
        Panel p1,p2,p3,p4,p5,p6;
        TextField store1, store2;
        BTCAlgo block;
        CCCAlgo colo;
        XCCCAlgo extended;
        ImageComp par;

        Vermittler v;


 public void init(){

        setBackground(Color.white);
        setLayout(new BorderLayout());

        p1 = new Panel();
        p1.setLayout(new GridLayout(4,2));

        verfahren = new Choice();
        bilder = new Choice();
        verfahren.add("Block Truncation Code");
        verfahren.add("Color Cell Compression");
        verfahren.add("Extended Color Cell Compression");

        bilder.add("BTCI");
        bilder.add("BTCII");
        bilder.add("BTCIII");
        bilder.add("BTCIV");

        p1.add(new Label(" There are 3 Compression Methods to choose: "));
  p1.add(new Label(" For each method 4 pictures in order to demonstrate: "));
        p1.add(verfahren);
        p1.add(bilder);
        p1.add(new Label("Original picture"));
        p1.add(new Label("Compressed picture"));
        store1 = new TextField(15);
        store1.setText("0 Bytes");
        store2 = new TextField(15);
        store2.setText("0 Bytes");
        store1.setEditable(false);
        store2.setEditable(false);
        p1.add(store1);
        p1.add(store2);
        add(p1, BorderLayout.NORTH);

        p2 = new Panel();
        p2.setLayout(new BorderLayout());
        par = this;

        String a = bilder.getSelectedItem();
        bild = getImage(getCodeBase(), "images/" + a + ".gif");
        original = new Picture(bild, par);
        p2.add(original, BorderLayout.NORTH);
        store1.setText(String.valueOf(original.prefSize.height*
                                      original.prefSize.width)+" Bytes");
   ImageFilter filter = new CropImageFilter(original.x, original.y, 10,10);
     ImageProducer prod = new FilteredImageSource(original.bild.getSource(),
                                                  filter);
        Image ausschnitt = createImage(prod);
     bild = ausschnitt.getScaledInstance(100,100,Image.SCALE_AREA_AVERAGING);
        section1 = new Picture2(bild);
     p2.add(new Label("Magnifying Lense on the Image"),BorderLayout.CENTER);
        p2.add(section1,BorderLayout.SOUTH);
        add(p2, BorderLayout.WEST);

        p3 = new Panel();
        p3.setLayout(new BorderLayout());
        block = new BTCAlgo(original.bild,
                            original.prefSize.height,
                            original.prefSize.width,4,4);
        compBild = new Picture2(block.compressed);
        p3.add(compBild, BorderLayout.NORTH);
        store2.setText(String.valueOf(block.summa/8)+" Bytes");
        block = null;
        p3.add(new Label("Magnifying Lense on the compressed Image"),
                          BorderLayout.CENTER);
        prod = new FilteredImageSource(compBild.bild.getSource(),filter);
        ausschnitt = createImage(prod);
        bild = ausschnitt.getScaledInstance(100,100,
                                                Image.SCALE_AREA_AVERAGING);
        section2 = new Picture2(bild);
        p3.add(section2, BorderLayout.SOUTH);
        add(p3, BorderLayout.EAST);

        p4 = new Panel();
        p4.setLayout(new FlowLayout(FlowLayout.CENTER,10,10));
        v = new Vermittler(verfahren.getSelectedItem(), par);
        p4.add(v);
        add(p4, BorderLayout.CENTER);


        CompressionListener lisc = new CompressionListener();
        verfahren.addItemListener(lisc);

        BilderListener lisb = new BilderListener();
        bilder.addItemListener(lisb);


 }  //init


 public void update(Graphics g){
        super.paint(g);
 }

 void AusComp(){
      ImageFilter fil =
            new CropImageFilter(original.x, original.y, 10, 10);
      ImageProducer pr =
            new FilteredImageSource(compBild.bild.getSource(), fil);
      Image au = createImage(pr);
      Image pi =
            au.getScaledInstance(100,100,Image.SCALE_AREA_AVERAGING);
      p3.remove(section2);
      section2 = null;
      section2 = new Picture2(pi);
      p3.add(section2,BorderLayout.SOUTH);
      p3.validate();
 }

 public void Klicks(){
      ImageFilter filters =
                  new CropImageFilter(original.x, original.y, 10,10);
      ImageProducer producer =
           new FilteredImageSource(original.bild.getSource(),filters);
      Image ausschneid = createImage(producer);
      Image pics =
      ausschneid.getScaledInstance(100,100,Image.SCALE_AREA_AVERAGING);
      p2.remove(section1);
      section1 = null;
      section1 = new Picture2(pics);
      p2.add(section1,BorderLayout.SOUTH);
      p2.validate();
      original.repaint();
      AusComp();
 }

 void fresh(){

        bilder.removeAll();

        if(verfahren.getSelectedIndex()==0){

           bilder.add("BTCI");
           bilder.add("BTCII");
           bilder.add("BTCIII");
           bilder.add("BTCIV");
        };

        if(verfahren.getSelectedIndex()==1){

           bilder.add("CCCI");
           bilder.add("CCCII");
           bilder.add("CCCIII");
           bilder.add("CCCIV");
        };

        if(verfahren.getSelectedIndex()==2){

           bilder.add("XCCCI");
           bilder.add("XCCCII");
           bilder.add("XCCCIII");
           bilder.add("XCCCIV");
        };
 }

 public void BTCorder(){
        block = new BTCAlgo(original.bild,
                            original.prefSize.height,
                            original.prefSize.width,
                            v.btc.n.getValue(),
                            v.btc.m.getValue());
        p3.remove(compBild);
        compBild = null;
        compBild = new Picture2(block.compressed);
        p3.add(compBild,BorderLayout.NORTH);
        p3.validate();
        store2.setText(String.valueOf(block.summa/8)+" Bytes");
        AusComp();
        block = null;
 }

 public void CCCorder(){
        colo = new CCCAlgo(original.bild,
                           original.prefSize.height,
                           original.prefSize.width,
                           v.ccc.n.getValue(),
                           v.ccc.m.getValue());
        p3.remove(compBild);
        compBild = null;
        compBild = new Picture2(colo.compressed);
        p3.add(compBild,BorderLayout.NORTH);
        p3.validate();
        store2.setText(String.valueOf(colo.summa/8)+" Bytes");
        AusComp();
        colo = null;
 }

 public void XCCCorder(){
        extended = new XCCCAlgo(original.bild,
                                original.prefSize.height,
                                original.prefSize.width,
                                v.xccc.n.getValue(),
                                v.xccc.m.getValue(),
                   Integer.parseInt(v.xccc.level.getText()));
        p3.remove(compBild);
        compBild = null;
        compBild = new Picture2(extended.compressed);
        p3.add(compBild,BorderLayout.NORTH);
        p3.validate();
        store2.setText(String.valueOf(extended.summa/8)+" Bytes");
        AusComp();
        extended = null;
 }

 class CompressionListener implements ItemListener{
       public void itemStateChanged(ItemEvent e){

             fresh();

             String x = bilder.getSelectedItem();
             p2.removeAll();
             original = null;
             section1 = null;
             if(verfahren.getSelectedIndex() == 0){
 original = new Picture(getImage(getCodeBase(),"images/" + x + ".gif"),par);
      store1.setText(String.valueOf(original.prefSize.height*
                                    original.prefSize.width)+" Bytes");
             }
             else{
 original = new Picture(getImage(getCodeBase(),"images/" + x + ".jpg"),par);
      store1.setText(String.valueOf(original.prefSize.height*
                                    original.prefSize.width*3)+" Bytes");
             }

             p2.add(original,BorderLayout.NORTH);
      p2.add(new Label("Magnifying Lense on the Image"),BorderLayout.CENTER);

     ImageFilter filter = new CropImageFilter(original.x, original.y, 10,10);
             ImageProducer prod =
                new FilteredImageSource(original.bild.getSource(), filter);
             Image ausschnitt = createImage(prod);
         Image pic =
           ausschnitt.getScaledInstance(100,100,Image.SCALE_AREA_AVERAGING);
             section1 = new Picture2(pic);
             p2.add(section1,BorderLayout.SOUTH);
             p2.validate();

             p4.remove(v);
             v = null;
             v = new Vermittler(verfahren.getSelectedItem(),par);
             p4.add(v);
             p4.validate();

         if(verfahren.getSelectedIndex()==0){
            block = new BTCAlgo(original.bild,
                                original.prefSize.height,
                                original.prefSize.width,4,4);
            p3.remove(compBild);
            compBild = null;
            compBild = new Picture2(block.compressed);
            p3.add(compBild,BorderLayout.NORTH);
            p3.validate();
            store2.setText(String.valueOf(block.summa/8)+" Bytes");
            block = null;
         }
         if(verfahren.getSelectedIndex()==1){
            colo = new CCCAlgo(original.bild,
                               original.prefSize.height,
                               original.prefSize.width,4,4);
            p3.remove(compBild);
            compBild = null;
            compBild = new Picture2(colo.compressed);
            p3.add(compBild, BorderLayout.NORTH);
            p3.validate();
            store2.setText(String.valueOf(colo.summa/8)+" Bytes");
            colo = null;
         }
         if(verfahren.getSelectedIndex()==2){
            extended = new XCCCAlgo(original.bild,
                                    original.prefSize.height,
                                    original.prefSize.width,4,4,160);
            p3.remove(compBild);
            compBild = null;
            compBild = new Picture2(extended.compressed);
            p3.add(compBild,BorderLayout.NORTH);
            p3.validate();
            store2.setText(String.valueOf(extended.summa/8)+" Bytes");
            extended = null;
         }
         AusComp();
       }
 }


 class BilderListener implements ItemListener{
       public void itemStateChanged(ItemEvent e){

           String y = bilder.getSelectedItem();
           p2.removeAll();
           original = null;
           section1 = null;
           if(verfahren.getSelectedIndex() == 0){
 original = new Picture(getImage(getCodeBase(),"images/" + y + ".gif"),par);
     store1.setText(String.valueOf(original.prefSize.width*
                                   original.prefSize.height)+" Bytes");
           }
           else{
 original = new Picture(getImage(getCodeBase(),"images/" + y + ".jpg"),par);
     store1.setText(String.valueOf(original.prefSize.height*
                                   original.prefSize.width*3)+" Bytes");
           }

           p2.add(original,BorderLayout.NORTH);
    p2.add(new Label("Magnifying Lense on the Image"),BorderLayout.CENTER);

           ImageFilter filter =
               new CropImageFilter(original.x, original.y, 10,10);
           ImageProducer prod =
               new FilteredImageSource(original.bild.getSource(), filter);
           Image ausschnitt = createImage(prod);
          Image pic =
            ausschnitt.getScaledInstance(100,100,Image.SCALE_AREA_AVERAGING);
           section1 = new Picture2(pic);
           p2.add(section1,BorderLayout.SOUTH);
           p2.validate();

           if(verfahren.getSelectedIndex()==0){
              block = new BTCAlgo(original.bild,
                                  original.prefSize.height,
                                  original.prefSize.width,
                                  v.btc.n.getValue(),
                                  v.btc.m.getValue());
              p3.remove(compBild);
              compBild = null;
              compBild = new Picture2(block.compressed);
              p3.add(compBild,BorderLayout.NORTH);
              p3.validate();
              store2.setText(String.valueOf(block.summa/8)+" Bytes");
              block = null;
           }
           if(verfahren.getSelectedIndex()==1){
              colo = new CCCAlgo(original.bild,
                                 original.prefSize.height,
                                 original.prefSize.width,
                                 v.ccc.n.getValue(),
                                 v.ccc.m.getValue());
              p3.remove(compBild);
              compBild = null;
              compBild = new Picture2(colo.compressed);
              p3.add(compBild,BorderLayout.NORTH);
              p3.validate();
              store2.setText(String.valueOf(colo.summa/8)+" Bytes");
              colo = null;
           }
           if(verfahren.getSelectedIndex()==2){
              extended = new XCCCAlgo(original.bild,
                                      original.prefSize.height,
                                      original.prefSize.width,
                                      v.xccc.n.getValue(),
                                      v.xccc.m.getValue(),
                         Integer.parseInt(v.xccc.level.getText()));
              p3.remove(compBild);
              compBild = null;
              compBild = new Picture2(extended.compressed);
              p3.add(compBild,BorderLayout.NORTH);
              p3.validate();
              store2.setText(String.valueOf(extended.summa/8)+" Bytes");
              extended = null;
           }
           AusComp();
       }
 }


} //Hauptapplet-klasse




