// XCCCAlgo.java

import java.awt.*;
import java.awt.image.*;
import java.io.*;


public class XCCCAlgo extends Component{

       Image bild, compressed;
       int hoehe, breite;
       int blo_h, blo_b;
       int[] pix;
       int[][] pixels;
       Extension help;
       int schwelle;
       int summa;

      XCCCAlgo(Image bild, int hoehe, int breite, int blo_h, int blo_b,
                int schwelle){

       this.bild = bild;
       this.hoehe = hoehe;
       this.breite = breite;
       this.blo_h = blo_h;
       this.blo_b = blo_b;
       this.schwelle = schwelle;

       first();
       second();
       third();
       fourth();
       }

       void first(){

            pix = new int[hoehe*breite];
        PixelGrabber pg =
             new PixelGrabber(bild, 0, 0, breite, hoehe, pix, 0, breite);
            boolean komplett = false;

            try{
            komplett = pg.grabPixels();
            }catch (InterruptedException ign){}

            pixels = new int[hoehe][breite];

            if(komplett){
               int k = 0;
               for(int i=0; i<hoehe; i++){
                  for(int j=0; j<breite; j++){
                      pixels[i][j] = pix[k];
                      k++;
                  }
               }
            }

       }//first


       void second(){
            double mittel;
            int grau;
            int p,q;
            int rotfora, rotforb;
            int grfora, grforb;
            int blfora, blforb;

            int arot, agruen, ablau;
            int brot, bgruen, bblau;

            int sz,zz;
            int delta;
            PrintWriter out = new PrintWriter(System.out, true);
            boolean weiter;
            Extension help;


        for(int i=0; i< (hoehe - ( hoehe % blo_h ) ); i += blo_h){
         for(int j=0; j< (breite - ( breite % blo_b ) ); j += blo_b){

              grau = 0;
              mittel = 0.0;
              p = 0; q = 0;
              rotfora = 0; rotforb = 0;
              grfora = 0; grforb = 0;
              blfora = 0; blforb = 0;
              arot = 0; agruen = 0; ablau = 0;
              brot = 0; bgruen = 0; bblau = 0;
              delta = 0;
              weiter = false;
              help = null;

            for(zz=1; zz <= blo_h; zz++){
              for(sz=1; sz <= blo_b; sz++){

                    
                   grau += (int)
                           (0.3 * (( pixels[i][j] & 0x00ff0000 ) >>>16  )+
                            0.59 * (( pixels[i][j] & 0x0000ff00 ) >>>8 )+
                            0.11 * ( pixels[i][j] & 0x000000ff ) );

                j++;
              }
              j -= (sz-1);
              i++;
            }
            i -= (zz-1);


            mittel = grau/(double)(blo_h * blo_b);


            for(zz=1; zz <= blo_h; zz++){
              for(sz=1; sz <= blo_b; sz++){

              int y = (int)
                     (0.3 * (( pixels[i][j] & 0x00ff0000 )>>>16  )+
                           0.59 * (( pixels[i][j] & 0x0000ff00 )>>>8  )+
                           0.11 * ( pixels[i][j] & 0x000000ff ) );

                 if( y <= mittel ){
                          q += 1;
                     rotfora += (( pixels[i][j] & 0x00ff0000)>>>16  );
                     grfora += (( pixels[i][j] & 0x0000ff00)>>>8  );
                     blfora += ( pixels[i][j] & 0x000000ff );
                 }
                 else{
                          p += 1;
                     rotforb += ((pixels[i][j] & 0x00ff0000)>>>16  );
                     grforb += (( pixels[i][j] & 0x0000ff00)>>>8  );
                     blforb += ( pixels[i][j] & 0x000000ff );
                 }


                j++;
              }
              j -= (sz-1);
              i++;
            }
            i -= (zz-1);


            arot = (int)( rotfora / (double)q );
            agruen = (int)( grfora / (double)q );
            ablau = (int)( blfora / (double)q );

            brot = (int)( rotforb / (double)p );
            bgruen = (int)( grforb / (double)p );
            bblau = (int)( blforb / (double)p );

            for(zz=1; zz <= blo_h; zz++){
              for(sz=1; sz <= blo_b; sz++){

                int y = (int)
                       ( 0.3 * (( pixels[i][j] & 0x00ff0000 )>>>16  )+
                            0.59 * (( pixels[i][j] & 0x0000ff00 )>>>8  )+
                            0.11 * ( pixels[i][j] & 0x000000ff ));
           if (y <= mittel)
            delta += Math.sqrt((((pixels[i][j] & 0x00ff0000)>>>16)-arot)*
                               (((pixels[i][j] & 0x00ff0000)>>>16)-arot)+
                               (((pixels[i][j] & 0x0000ff00)>>>8)-agruen)*
                               (((pixels[i][j] & 0x0000ff00)>>>8)-agruen)+
                               (( pixels[i][j] & 0x000000ff)-ablau)*
                               (( pixels[i][j] & 0x000000ff)-ablau));
           else
            delta += Math.sqrt((((pixels[i][j] & 0x00ff0000)>>>16)-brot)*
                               (((pixels[i][j] & 0x00ff0000)>>>16)-brot)+
                               (((pixels[i][j] & 0x0000ff00)>>>8)-bgruen)*
                               (((pixels[i][j] & 0x0000ff00)>>>8)-bgruen)+
                               (( pixels[i][j] & 0x000000ff)-bblau)*
                               (( pixels[i][j] & 0x000000ff)-bblau));


                j++;
              }
              j -= (sz-1);
              i++;
            }
            i -= (zz-1);


         if( ( (blo_h<8)||(blo_b<8) ) || (delta < schwelle )){

            for(zz=1; zz <= blo_h; zz++){
              for(sz=1; sz <= blo_b; sz++){

                int y = (int)
                       ( 0.3 * (( pixels[i][j] & 0x00ff0000 )>>>16  )+
                            0.59 * (( pixels[i][j] & 0x0000ff00 )>>>8  )+
                            0.11 * ( pixels[i][j] & 0x000000ff ));

                   if ( y <= mittel )
                      pixels[i][j] =
           (pixels[i][j]& 0xff000000)|( arot<<16  )|( agruen<<8  )|( ablau );
                   else
                      pixels[i][j] =
           (pixels[i][j]& 0xff000000)|( brot<<16  )|( bgruen<<8  )|( bblau );



                j++;
              }
              j -= (sz-1);
              i++;
            }
            i -= (zz-1);

            summa += (blo_h * blo_b +16);
         }//if

         if( (blo_h>=8) && (blo_b>=8) && (delta >= schwelle ) ) {
           help = new Extension(i,
                                j,
                                blo_h,
                                blo_b,
                                blo_h/2,
                                blo_b/2,
                                pixels,
                                schwelle);
           weiter = help.second();
           summa += help.summa;
         }


         }
        } //big fors

       } //second



       void third(){

            int k = 0;

            for(int i=0; i < hoehe; i++){
              for(int j=0; j < breite; j++){

                  pix[k] = pixels[i][j];
                  k++;
              }
            }
       }//third

       void fourth(){

       compressed =
             createImage(new MemoryImageSource(breite,hoehe,pix,0,breite));
       }

}//XCCCAlgo


